Project

Profile

Help

HostedRedmine.com has moved to the Planio platform. All logins and passwords remained the same. All users will be able to login and use Redmine just as before. Read more...

Feature #873068

Require "format_version" in ruleset files

Added by Marko Lindqvist over 2 years ago. Updated about 2 years ago.

Status:
Closed
Priority:
Normal
Category:
Server
Sprint/Milestone:
Start date:
Due date:
% Done:

0%

Estimated time:

Description

When "format_version" was introduced in S3_0 development, loading S2_6 rulesets in compat mode still required it not to be strictly required field.
Now the master is supposed to load 3.1 and 3.0 rulesets only, and either should have "format_version" defined. Make it an error if it's missing.

History

#2 Updated by Marko Lindqvist about 2 years ago

  • Status changed from Resolved to Closed
  • Assignee set to Marko Lindqvist

Also available in: Atom PDF